Package org.lwjgl.opengl

# Class EXTFogCoord

java.lang.Object
org.lwjgl.opengl.EXTFogCoord

public final class EXTFogCoord extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CURRENT_FOG_COORDINATE_EXT`
`static final int`
`GL_FOG_COORDINATE_ARRAY_EXT`
`static final int`
`GL_FOG_COORDINATE_ARRAY_POINTER_EXT`
`static final int`
`GL_FOG_COORDINATE_ARRAY_STRIDE_EXT`
`static final int`
`GL_FOG_COORDINATE_ARRAY_TYPE_EXT`
`static final int`
`GL_FOG_COORDINATE_EXT`
`static final int`
`GL_FOG_COORDINATE_SOURCE_EXT`
`static final int`
`GL_FRAGMENT_DEPTH_EXT`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFogCoorddEXT(double coord)`
`static void`
`glFogCoordfEXT(float coord)`
`static void`
`glFogCoordPointerEXT(int type, int stride, long data_buffer_offset)`
`static void`
`glFogCoordPointerEXT(int stride, DoubleBuffer data)`
`static void`
`glFogCoordPointerEXT(int stride, FloatBuffer data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FOG_COORDINATE_SOURCE_EXT

public static final int GL_FOG_COORDINATE_SOURCE_EXT

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_EXT

public static final int GL_FOG_COORDINATE_EXT

See Also:
  - Constant Field Values

### GL_FRAGMENT_DEPTH_EXT

public static final int GL_FRAGMENT_DEPTH_EXT

See Also:
  - Constant Field Values

### GL_CURRENT_FOG_COORDINATE_EXT

public static final int GL_CURRENT_FOG_COORDINATE_EXT

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_ARRAY_TYPE_EXT

public static final int GL_FOG_COORDINATE_ARRAY_TYPE_EXT

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_ARRAY_STRIDE_EXT

public static final int GL_FOG_COORDINATE_ARRAY_STRIDE_EXT

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_ARRAY_POINTER_EXT

public static final int GL_FOG_COORDINATE_ARRAY_POINTER_EXT

See Also:
  - Constant Field Values

### GL_FOG_COORDINATE_ARRAY_EXT

public static final int GL_FOG_COORDINATE_ARRAY_EXT

See Also:
  - Constant Field Values

## Method Details

### glFogCoordfEXT

public static void glFogCoordfEXT(float coord)

### glFogCoorddEXT

public static void glFogCoorddEXT(double coord)

### glFogCoordPointerEXT

public static void glFogCoordPointerEXT(int stride, DoubleBuffer data)

### glFogCoordPointerEXT

public static void glFogCoordPointerEXT(int stride, FloatBuffer data)

### glFogCoordPointerEXT

public static void glFogCoordPointerEXT(int type, int stride, long data_buffer_offset)